List Transactions
curl --request GET \
--url https://api.convexity.tools/v1/tokens/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.convexity.tools/v1/tokens/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.convexity.tools/v1/tokens/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Transactions retrieved successfully",
"data": {
"items": [
{
"id": "019edeb3-55c4-770e-9dbc-d1c61fb90bc1",
"tokenId": "019edea4-e84d-722d-94ec-cb0fd331693d",
"chain": "BASE",
"type": "TRANSFER",
"status": "CONFIRMED",
"amount": "5",
"txHash": "0x6cab56e2c35ee6de578b5a670ba4109389c4206c99558d8b420ef405c40c42f9"
}
],
"total": 1,
"page": 1,
"pageSize": 20
}
}Tokenization
List Transactions
Returns token transactions, optionally filtered by token.
GET
/
v1
/
tokens
/
transactions
List Transactions
curl --request GET \
--url https://api.convexity.tools/v1/tokens/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.convexity.tools/v1/tokens/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.convexity.tools/v1/tokens/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Transactions retrieved successfully",
"data": {
"items": [
{
"id": "019edeb3-55c4-770e-9dbc-d1c61fb90bc1",
"tokenId": "019edea4-e84d-722d-94ec-cb0fd331693d",
"chain": "BASE",
"type": "TRANSFER",
"status": "CONFIRMED",
"amount": "5",
"txHash": "0x6cab56e2c35ee6de578b5a670ba4109389c4206c99558d8b420ef405c40c42f9"
}
],
"total": 1,
"page": 1,
"pageSize": 20
}
}⌘I
